Retrieve a deal
Retrieve the details of a deal.
Request
Path parameters
Ref ID of the deal to retrieve.
Response
A json is returned in the response body with the following fields:
Ref ID of the deal.
Account ref ID of the deal.
Account name of the deal.
End customer's company of the deal.
End customer's country of the deal.
End customer's state of the deal. null if not applicable.
End customer's first name of the deal. null if not applicable.
End customer's last name of the deal. null if not applicable.
End customer's title of the deal. null if not applicable.
End customer's email of the deal. null if not applicable.
End customer's website of the deal. null if not applicable.
End customer's phone of the deal. null if not applicable.
End Customer's focused verticals of the deal.
End customer's project of the deal. null if not applicable.
End customer's project description of the deal. null if not applicable.
Sales person of the deal. null if not applicable.
End Customer's proposed items of the deal.
Show child attributes
SKU of the proposed item.
Quantity of the proposed item.
Status of the deal.
PENDING_APPROVAL— The deal is pending approval.ACTION_REQUIRED— The deal required action.REJECTED— The deal is rejected.APPROVED— The deal is approved.CLOSED_WON— The deal is won and closed.CLOSED_LOST— The deal is lost and closed.LEAD_FROM_PEPLINK— The deal is lead from Peplink.INVALID— The deal is invalid.QUALIFIED— The deal is qualified.
Status reason of the deal. null if not applicable.
Peplink comment of the deal. null if not applicable.
Description of the deal. null if not applicable.
Timeframe date of the deal. null if not applicable.
Timeframe remark of the deal. null if not applicable.
Rebate expiration date of the deal. null if not applicable.
Deal expiration date of the deal. null if not applicable.
Time of when the deal is created.
Name of whom created the deal. null if not applicable.
Email of whom created the deal. null if not applicable.
Time of when the deal is updated. null if not applicable.
Name of whom updated the deal. null if not applicable.
Email of whom updated the deal. null if not applicable.
Examples
Request
curl -X GET 'https://portal.peplink.com/api/e/v1/cp/deals/{refId}' \ -H 'Authorization: Bearer {token}'Response
{
"refId": "12345",
"accountRefId": 4567,
"accountName": "Good Company",
"company": "Customer Company",
"country": "U.S.A.",
"state": "California",
"firstName": "Martha",
"lastName": "Nunez",
"title": "Manager",
"email": "[email protected]",
"website": "https://www.customercompany.com",
"phone": "+1234567890",
"focusedVerticals": ["Public Safety"],
"project": "Project A",
"projectDescription": "Project A is a project related to public safety.",
"salesperson": "Sales B",
"proposedItems": [
{
"sku": "SVL-321",
"quantity": 10
},
{
"sku": "TMP-123",
"quantity": 20
}
],
"status": "CLOSED_WON",
"reason": "The deal is won and closed.",
"peplinkComment": "The status of deal is updated, the deal is won and closed.",
"description": "This is a deal for Project A.",
"timeframeDate": "2026-01-01",
"timeframeRemark": "The deal is expected to be closed by the end of 2025.",
"rebateExpirationDate": "2026-02-01",
"dealExpirationDate": "2026-02-01",
"createdAt": "2025-06-06T01:25:20.000Z",
"createdBy": "System",
"createdByEmail": null,
"updatedAt": "2026-01-01T04:30:36.000Z",
"updatedBy": "System",
"updatedByEmail": null
}